Subject: bug#67810: 29.1; fonts use synthetic bold on Linux / pgtk

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Dec 2023 13:19:38 +0200

> From: Tim Ruffing <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Thu, 14 Dec 2023 11:37:15 +0100
> 
> > As for your example: if Doom uses this for icons, why cannot Doom
> > refrain from using bold face for these cases?
> 
> That's of course possible, and this could even be integrated in
> packages like nerd-fonts and all-the-icons. But as I said in my
> previous email, I think this solves only part of the problem. Setting
> the face works when there is existing code for inserting icons (e.g.,
> file type icons in dired), because that code can then take care of
> setting the face. 
> 
> But it doesn't work in cases when the user simply wants to insert icons
> in their buffers: For example, if the user inserts an icon in a bold
> org headline, it seems to me like the wrong approach to change the face
> on the fly.

One can always insert an icon with the likes of

  (propertize "ICON" 'face '(:weight medium))